Skip to main content
PUT
/
organizations
/
{organizationID}
Update organization details
curl --request PUT \
  --url https://api.xata.tech/organizations/{organizationID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "status": {
    "status": "enabled",
    "disabled_by_admin": true,
    "billing_status": "ok",
    "last_updated": "2023-11-07T05:31:56Z",
    "admin_reason": "<string>",
    "billing_reason": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier for a specific organization

Pattern: [a-zA-Z0-9_-~:]+

Body

application/json
id
string

Unique identifier for the organization to update

Pattern: [a-zA-Z0-9_-~:]+
name
string

New name for the organization

Response

Organization successfully updated

Organization details including ID and name

id
string
required

Unique identifier for the organization

Pattern: [a-zA-Z0-9_-~:]+
name
string
required

Human-readable name of the organization

status
object
required

Current status of the organization